Bug 1178321

Summary: WARNING: CPU: 2 PID: 433 at drivers/pinctrl/pinctrl-baytrail.c:322 byt_gpio_direction_output+0x97/0xa0()
Product: [Fedora] Fedora Reporter: Mikhail <mikhail.v.gavrilov>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 21CC: gansalmon, itamar, jonathan, kernel-maint, madhu.chinakonda, mchehab
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-01-04 15:08:48 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
kernel log none

Description Mikhail 2015-01-03 21:57:17 UTC
Created attachment 975799 [details]
kernel log

Description of problem:
[   48.562014] ------------[ cut here ]------------
[   48.562028] WARNING: CPU: 2 PID: 433 at drivers/pinctrl/pinctrl-baytrail.c:322 byt_gpio_direction_output+0x97/0xa0()
[   48.562032] Potential Error: Setting GPIO with direct_irq_en to output
[   48.562035] Modules linked in:
[   48.562038]  asus_nb_wmi(+) hid_multitouch(+) snd_soc_core asus_wmi gpio_keys sparse_keymap snd_compress snd_seq snd_seq_device snd_pcm snd_timer snd i2c_hid soundcore mei_txe mei lpc_ich wmi dw_dmac dw_dmac_core soc_button_array int3400_thermal acpi_thermal_rel int3402_thermal int3403_thermal pwm_lpss_platform iosf_mbi rfkill_gpio acpi_pad i2c_designware_platform pwm_lpss i2c_designware_core rfkill snd_soc_sst_acpi mmc_block i915 i2c_algo_bit drm_kms_helper drm sdhci_acpi video sdhci mmc_core
[   48.562085] CPU: 2 PID: 433 Comm: systemd-udevd Not tainted 3.18.0-1.1awb.i686 #1
[   48.562088] Hardware name: ASUSTeK COMPUTER INC. T100TA/T100TA, BIOS T100TA.304 03/14/2014
[   48.562092]  00000000 8c1d7409 00000000 f688b8e8 c0a4bd86 f688b92c f688b91c c0456222
[   48.562101]  c0c65694 f688b94c 000001b1 c0c65670 00000142 c0709bb7 00000142 c0709bb7
[   48.562109]  f7c5c268 f4b90450 f7c5c260 f688b938 c045627e 00000009 f688b92c c0c65694
[   48.562118] Call Trace:
[   48.562129]  [<c0a4bd86>] dump_stack+0x41/0x52
[   48.562136]  [<c0456222>] warn_slowpath_common+0x82/0xa0
[   48.562141]  [<c0709bb7>] ? byt_gpio_direction_output+0x97/0xa0
[   48.562146]  [<c0709bb7>] ? byt_gpio_direction_output+0x97/0xa0
[   48.562155]  [<c045627e>] warn_slowpath_fmt+0x3e/0x60
[   48.562160]  [<c0709bb7>] byt_gpio_direction_output+0x97/0xa0
[   48.562165]  [<c0709b20>] ? byt_gpio_set+0x60/0x60
[   48.562171]  [<c070bf89>] _gpiod_direction_output_raw+0x59/0x1a0
[   48.562177]  [<c070c13a>] gpiod_direction_output+0x2a/0x50
[   48.562181]  [<c0a4f1d0>] ? mutex_lock+0x10/0x30
[   48.562187]  [<c070ea9b>] acpi_gpio_adr_space_handler+0x1ab/0x2a0
[   48.562193]  [<c070e8f0>] ? acpi_gpiochip_request_interrupt+0x2a0/0x2a0
[   48.562200]  [<c0765778>] acpi_ev_address_space_dispatch+0x1b8/0x20c
[   48.562206]  [<c076899f>] acpi_ex_access_region+0x191/0x201
[   48.562211]  [<c07687aa>] acpi_ex_write_data_to_field+0x188/0x1ec
[   48.562218]  [<c0779c06>] ? acpi_ut_allocate_object_desc_dbg+0x3a/0x61
[   48.562224]  [<c076c590>] acpi_ex_store_object_to_node+0xb1/0xd9
[   48.562229]  [<c076c662>] acpi_ex_store+0xaa/0x1ff
[   48.562234]  [<c0769ea1>] acpi_ex_opcode_1A_1T_1R+0x491/0x5a4
[   48.562240]  [<c0762a1c>] acpi_ds_exec_end_op+0xba/0x375
[   48.562246]  [<c0773222>] acpi_ps_parse_loop+0x48e/0x4e3
[   48.562251]  [<c077840e>] ? acpi_ut_remove_reference+0x2a/0x2d
[   48.562257]  [<c0773bc8>] acpi_ps_parse_aml+0x8a/0x231
[   48.562262]  [<c07742f3>] acpi_ps_execute_method+0x18f/0x225
[   48.562267]  [<c076f445>] acpi_ns_evaluate+0x18d/0x207
[   48.562272]  [<c07719cc>] acpi_evaluate_object+0x120/0x204
[   48.562281]  [<f8af1883>] wmi_evaluate_method+0x103/0x110 [wmi]
[   48.562288]  [<f8ae307b>] asus_wmi_evaluate_method+0x5b/0xc0 [asus_wmi]
[   48.562295]  [<f8ae44e6>] asus_wmi_probe+0xb6/0xc30 [asus_wmi]
[   48.562302]  [<c05f55b0>] ? kernfs_create_link+0x40/0x80
[   48.562308]  [<c05f6194>] ? sysfs_do_create_link_sd.isra.2+0x54/0xa0
[   48.562314]  [<c07d720d>] platform_drv_probe+0x3d/0xb0
[   48.562319]  [<c07d4ce2>] ? driver_sysfs_add+0x62/0x80
[   48.562324]  [<c07d52c3>] driver_probe_device+0x93/0x3b0
[   48.562329]  [<c05f5f17>] ? sysfs_create_dir_ns+0x37/0x90
[   48.562334]  [<c07d5699>] __driver_attach+0x79/0x80
[   48.562339]  [<c07d5620>] ? __device_attach+0x40/0x40
[   48.562345]  [<c07d3537>] bus_for_each_dev+0x57/0xa0
[   48.562350]  [<c07d4dce>] driver_attach+0x1e/0x20
[   48.562355]  [<c07d5620>] ? __device_attach+0x40/0x40
[   48.562359]  [<c07d4a17>] bus_add_driver+0x167/0x240
[   48.562365]  [<c07d5dbd>] driver_register+0x5d/0xf0
[   48.562370]  [<c07d6e77>] ? platform_device_add+0xc7/0x2c0
[   48.562375]  [<c07d7163>] __platform_driver_register+0x43/0x50
[   48.562380]  [<c07d72be>] platform_driver_probe+0x1e/0x70
[   48.562385]  [<c07d7852>] platform_create_bundle+0x82/0xa0
[   48.562392]  [<f8ae4430>] ? asus_wmi_rfkill_exit+0x130/0x130 [asus_wmi]
[   48.562397]  [<f8a66000>] ? 0xf8a66000
[   48.562404]  [<f8ae4204>] asus_wmi_register_driver+0x54/0x80 [asus_wmi]
[   48.562410]  [<f8a6600d>] asus_nb_wmi_init+0xd/0x1000 [asus_nb_wmi]
[   48.562415]  [<c0400496>] do_one_initcall+0xc6/0x200
[   48.562420]  [<f8a66000>] ? 0xf8a66000
[   48.562427]  [<c057a933>] ? kfree+0x123/0x140
[   48.562433]  [<c0568395>] ? __vunmap+0xa5/0xf0
[   48.562438]  [<c0568395>] ? __vunmap+0xa5/0xf0
[   48.562443]  [<c0568395>] ? __vunmap+0xa5/0xf0
[   48.562450]  [<c04cbf3b>] load_module+0x1ebb/0x23f0
[   48.562460]  [<c04cc51f>] SyS_init_module+0xaf/0x120
[   48.562470]  [<c0a5185f>] sysenter_do_call+0x12/0x12
[   48.562474] ---[ end trace 1cc5f86443f6d97d ]---

Comment 1 Josh Boyer 2015-01-04 15:08:48 UTC

*** This bug has been marked as a duplicate of bug 126342 ***